unit Iteration;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Label4: TLabel;
    Edit2: TEdit;
    Memo1: TMemo;
    Button1: TButton;
    Label5: TLabel;
    Label6: TLabel;
    Edit3: TEdit;
    Edit4: TEdit;
    Memo2: TMemo;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Edit5: TEdit;
    Label16: TLabel;
    Edit6: TEdit;
    Label17: TLabel;
    Edit7: TEdit;
    Label18: TLabel;
    Edit8: TEdit;
    Button2: TButton;
    Memo3: TMemo;
    Memo4: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  a, x, y, m, eps: double;
begin
  a := StrToFloat(Edit1.Text);
  x := StrToFloat(Edit2.Text);
  y := StrToFloat(Edit3.Text);
  eps := StrToFloat(Edit4.Text);
  if a > 0 then
  begin
    Memo1.Clear;
    Memo2.Clear;
    while Abs(x-y) > eps do
    begin
      m := (x+y)/2;
      if m*m < a then
        x := m
      else
        y := m;
      Memo1.Lines.Add(FloatToStrF(x,ffFixed,12,8));
      Memo2.Lines.Add(FloatToStrF(y,ffFixed,12,8));
    end;  {while Abs(x-y) > g do}
  end
  else ShowMessage('Der Radikand muss eine positive Zahl sein!');  
end;  {procedure TForm1.Button1Click}

procedure TForm1.Button2Click(Sender: TObject);
var
  a, x, y, eps : double;
begin
  a := StrToFloat(Edit5.Text);
  x := StrToFloat(Edit6.Text);
  y := StrToFloat(Edit7.Text);
  eps := StrToFloat(Edit8.Text);
  Memo3.Clear;
  Memo4.Clear;
  if a > 0 then
  begin
    while Abs(x-y) > eps do
    begin
      y := (x+y)/2;
      x := a/y;
      Memo3.Lines.Add(FloatToStrF(x,ffFixed,12,8));
      Memo4.Lines.Add(FloatToStrF(y,ffFixed,12,8));
    end; {while Abs(x-y) > g do}
  end
  else ShowMessage('Der Radikand muss grer als Null sein!');
end; {procedure TForm1.Button2Click}

end.
